# TypeScript Example
This is an example of a Minecraft mod made in TypeScript using ScriptCraft.

#### Files
- ```src/main/ts```: Contains TypeScript Code
- ```src/main/java```: Contains Bootstrap Java Code

#### Notes
- This will also work with JavaScript if you set ```compilerOptions.allowJs``` and optionally ```compilerOptions.checkJs``` in ```src/main/ts/tsconfig.json``` to ```true```
- NPM dependencies are not bundled
- API JARs are not bundled

#### ```typescript``` Gradle Configuration
The ```typescript``` gradle configuration will extract the specified API JAR into ```src/main/ts/build/dependencies```.

#### API JAR Format
```
- API JAR Root
  - src/
    - Source Root
  - types/
    - File structure of node_modules/@types
```